SubblySubbly
Log inGet started
  • Get started
  • Developer resources
Storefront API reference
Docs
Information
    Base URLAuthenticationPaginationErrors
Bootstrap
    Get shop info and settings
Product
    Get list of productsGet product by IDGet variant or pricing by IDGet plan by ID
Bundle
    Get list of bundlesGet bundle by IDQuote bundleGet list of bundle group itemsGet list of bundle itemsGet the list of bundle items associated with multiple bundles
Survey
    Get survey by ID
Cart
    Init cartGet cart by IDUpdate cart by IDGet cart gifting datesGet cart start datesGet shipping methodsGet local pickupsValidate the cartAttach the customer to the cart
Cart Item
    Add cart itemUpdate cart itemDelete cart item
Checkout
    Make purchase from the cart
Auth
    LoginOtp LoginOtp GenerateSocial LoginRegisteredRegister
Customer
    Get the current customerGet the current customer referral infoUpdate customer
Address
    Get list of addressStore addressUpdate addressDelete address
Pickup Info
    Get list of pickup infosStore pickup infoUpdate pickup infoDelete pickup info
Wallet
    Store payment methodGet list of payment methodsStore payment methodDelete payment methodSet default payment method
Subscription
    Get list of subscriptionsShow subscriptionUpdate subscriptionUpdate subscription survey preferences by Subscription IDUpdate subscription bundle data by Subscription IDCancel a subscriptionUndo cancellationUpdate subscription payment methodGet shipping methodsGet local pickupsCreate a subscription itemShow a subscription itemUpdate a subscription itemRemove a subscription itemUpdate a subscription item's preferencesUpdate a subscription item's bundle
Order
    Get list of ordersGet order by ID
Invoice
    Get list of invoicesGet invoice by ID
Payment Intent
    Confirm payment intentGet payment intent by ID
Funnels
    Get the current pre purchase funnel step by IDRefresh the funnel progressAccept the pre purchase funnel stepReject the pre purchase funnel stepGet the current mid purchase funnel step by IDRefresh the funnel progressAccept the mid purchase funnel stepReject the mid purchase funnel step
Countries
    Get list of countries
Out Of Stock
    Subscribe to the out of stock
Cancellation
    Get shop cancellation reasons
Metafield
    Get shop's metafields
Product Collection
    Get list of product collectionsGet product collection by IDGet list of collection groups with items
Lead
    Store the shop lead

Auth

Storefront Auth API endpoints

Endpoints
  • POST/auth/login
  • POST/auth/otp/login
  • POST/auth/otp
  • POST/auth/social
  • POST/auth/registered
  • POST/auth/register

Login

POST /auth/login

An API call to login customer.

Request body

emailRequiredstring
passwordRequiredstring

ReturnsAccessToken

Access token object response

curl -X POST https://api.subbly.co/storefront/v1/auth/login \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "email": "email", "password": "password" }'
Response
{ "access_token": "access_token", "expires_in": 7200 }

Otp Login

POST /auth/otp/login

An API call to login customer by otp.

Request body

emailRequiredstring

Format: email.

tokenRequiredstring

ReturnsAccessToken

Access token object response

curl -X POST https://api.subbly.co/storefront/v1/auth/otp/login \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "email": "customer@example.com", "token": "token" }'
Response
{ "access_token": "access_token", "expires_in": 7200 }

Otp Generate

POST /auth/otp

An API call to generate otp.

Request body

emailRequiredstring

Format: email.

Returnsstring

Return 200 response if otp generated

curl -X POST https://api.subbly.co/storefront/v1/auth/otp \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "email": "customer@example.com" }'
Response
""

Social Login

POST /auth/social

An API call to login customer by social.

Request body

tokenRequiredstring
providerRequiredstring

Possible values: google, facebook.

ReturnsAccessToken

Access token object response

curl -X POST https://api.subbly.co/storefront/v1/auth/social \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "token": "token", "provider": "google" }'
Response
{ "access_token": "access_token", "expires_in": 7200 }

Registered

POST /auth/registered

The API call to check if email already exists.

Request body

emailRequiredstring

ReturnsRegistered

Registered object response

registeredboolean
curl -X POST https://api.subbly.co/storefront/v1/auth/registered \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "email": "email" }'
Response
{ "registered": false }

Register

POST /auth/register

An API call to register customer.

Request body

emailRequiredstring
first_nameRequiredstring
last_nameRequiredstring

ReturnsAccessToken

Access token object response

curl -X POST https://api.subbly.co/storefront/v1/auth/register \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "email": "email", "first_name": "first_name", "last_name": "last_name" }'
Response
{ "access_token": "access_token", "expires_in": 7200 }
access_tokenstring
expires_ininteger
access_tokenstring
expires_ininteger
access_tokenstring
expires_ininteger
access_tokenstring
expires_ininteger